#version 150 core

uniform sampler2D shadow_map; // shadow map is just a texture
in vec4 SM_tex_coord; // passed on from VS
out vec4 fragment_color; // final fragment color

void main(void) {
	// perform perspective division
	vec3 tex_coords = SM_tex_coord.xyz/SM_tex_coord.w;
	// read depth value from shadow map
	float depth = texture(shadow_map, tex_coords.xy).r;
	// perform depth comparison
	float inShadow = (depth < tex_coords.z) ? 1.0 : 0.0;
	// darken fragment color if in shadow...
}