#version 150 core

uniform mat4 M; // model matrix
uniform mat4 V_cam; // view matrix for the camera
uniform mat4 P_cam; // projection matrix for the camera
uniform mat4 tex_mat;

in vec4 vertex; // attribute passed by the application
out vec4 SM_tex_coord; // pass on to the FS

void main(void) {
	// standard transformation
	gl_Position = P_cam * V_cam * M * vertex;
	// shadow texture coords in projected light space
	SM_tex_coord = tex_mat * M * vertex;
}